Subject: Re: [PATCH net v2] net: phy: fix a return path in get_phy_c45_ids()

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 9 Apr 2026 15:18:11 +0100

On Thu, Apr 09, 2026 at 06:36:54AM -0700, Charles Perry wrote:
> The return value of phy_c45_probe_present() is stored in "ret", not
> "phy_reg", fix this. "phy_reg" always has a positive value if we reach
> this return path (since it would have returned earlier otherwise), which
> means that the original goal of the patch of not considering -ENODEV
> fatal wasn't achieved.
> 
> Fixes: 17b447539408 ("net: phy: c45 scanning: Don't consider -ENODEV fatal")
> Signed-off-by: Charles Perry <[email-masked]>
> Reviewed-by: Andrew Lunn <[email-masked]>

Reviewed-by: Russell King (Oracle) <[email-masked]>

Thanks!

Note: you don't need to resend just because you've received another r-b.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!